AOZ Studio Beta - Bug #474

End is treated as Exit when inside a procedure!
09/10/2020 12:56 PM - Brian Flanagan

Status: Resolved Start date: 09/10/2020
Priority: High Due date:

Assignee: % Done: 0%
Category: Estimated time: 1:00 hour
Target version:

Affected version: Beta RC2

Description

This bug has been around for quite some time.
| reported it before but could not find it on aozmine, so | added it again.
Example:

Print "Done"
End

Procedure DO_Stuff
Print "test"
End
Print "test2"
End Proc’ *°

Result:

test
Done

The "Done" should never be seen, since execution
should have stopped in the middle of the procedure.

History

#1 - 09/10/2020 01:05 PM - Brian Flanagan

Looking at the generated code, | see that End is incorrectly being translated as a return from the procedure!

#2 - 09/14/2020 11:17 AM - Brian Flanagan
- Priority changed from Normal to High

#3 - 09/14/2020 11:49 AM - Brian Flanagan
- Estimated time set to 1:00 h

#4 - 09/27/2020 04:52 PM - Francois Lionet

- Status changed from New to Resolved

Finally fixed!
